org.apache.cassandra.db

## Class RowIndexEntry

- java.lang.Object
- - org.apache.cassandra.db.RowIndexEntry

- All Implemented Interfaces:
    IMeasurableMemory

      public class RowIndexEntry
      extends java.lang.Object
      implements IMeasurableMemory

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `RowIndexEntry.Serializer`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `long` | `position`
    `static RowIndexEntry.Serializer` | `serializer`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RowIndexEntry(long position)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.List<IndexHelper.IndexInfo>` | `columnsIndex()`
    `static RowIndexEntry` | `create(long position, DeletionTime deletionTime, ColumnIndex index)`
    `DeletionTime` | `deletionTime()`
    `boolean` | `isIndexed()`
    `long` | `memorySize()`
    `protected int` | `promotedSize()`
    `int` | `serializedSize()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### serializer

          public static final RowIndexEntry.Serializer serializer

    - #### position

          public final long position

  - ### Constructor Detail

    - #### RowIndexEntry

          public RowIndexEntry(long position)

  - ### Method Detail

    - #### serializedSize

          public int serializedSize()

    - #### promotedSize

          protected int promotedSize()

    - #### create

          public static RowIndexEntry create(long position,
                             DeletionTime deletionTime,
                             ColumnIndex index)

    - #### isIndexed

          public boolean isIndexed()

      Returns:
        true if this index entry contains the row-level tombstone and column summary. Otherwise, caller should fetch these from the row header.

    - #### deletionTime

          public DeletionTime deletionTime()

    - #### columnsIndex

          public java.util.List<IndexHelper.IndexInfo> columnsIndex()

    - #### memorySize

          public long memorySize()

      Specified by:
        `memorySize` in interface `IMeasurableMemory`

Copyright © 2014 The Apache Software Foundation